
#Include <ScreenCapture.au3>

#cs

Script to take screenshots of issues, upload to Picasa, and add URL of picture to list of issues in a spreadsheet.

1. User selects issue and moves mouse cursor so that mouse pointer is arrow.
2. Script copies text and saves it under number, and takes picture and saves picture under number.

Okay, there is good news and there is bad news.  The good news is that you can upload a hundred photos all at once using the Picasa offline client.  The bad news is that you can't predict the URLs.  The good news is that the photos are typically uploaded and displayed in the same order as on your hard drive, sorted by name.  The more good news is that the photos' actual names are not changed (only the URLs are not predictable).  The bad news is that there is no way to get the URL except for executing a number of manual operations in Firefox (lots of right-clicking).

So, you need two applications:  the first is to capture the issues and the screenshots, and the second is to capture the URLs and merge them with the issues.

Best practice in Picasa is to put the pictures in a separate folder and upload them from there.  Picasa will create an "album" with the same name as the folder.  In Picasa, then, go to the album and select to view one photo at a time.  Fold teh "Link to this Photo" options open.  The script will ask for the mouse position of the right button and the "link" text field.  It then clicks "next" and clicks on the "link" text field image each time, copying the image location.

Issues:
* You can't have line breaks in an issue
* more?

#ce

AutoItSetOption ("WinTitleMatchMode", 2)

; Global $howsave = MsgBox (4, "How to save images", "Save image with issue as name?", 0)
Global $i = 0
Global $ffhandle = WinGetHandle ("Firefox", "")
Global $num2 = 0

Global $num
Global $numi
Global $textcapture
Global $clippedtext
Global $fileopen
Global $howsave2

; If $howsave = 7 Then
; $num = InputBox ("Start at which number?", "Start at which number?", "1")
; $numi = $num
; EndIf

HotKeySet("+^{SPACE}", "Snapshot")

While 1
    Sleep(100)
WEnd

Func Snapshot()

$num2 = $num2 + 1

Send ("^c")
$clippedtext = ClipGet()
$textcapture = MsgBox (3, "Happy with the text capture?", $clippedtext, 0)

If $textcapture = 6 Then ; yes
$i = 1
ElseIf $textcapture = 7 Then ; no
$clippedtext = InputBox ("Not happy...?", "Then type it yourself!", "")
$i = 1
ElseIf $textcapture = 2 Then ; cancel
$i = 0
EndIf

If $i = 1 Then

; If $howsave = 6 Then
; _ScreenCapture_CaptureWnd($clippedtext & ".bmp", $ffhandle, 0, 0, -1, -1, "True")
; ElseIf $howsave = 7 Then
; _ScreenCapture_CaptureWnd($numi & ".bmp", $ffhandle, 0, 0, -1, -1, "True")
; EndIf

If $num2 < 1000 Then
$numful = "0" & $num2
EndIf
If $num2 < 100 Then
$numful = "0" & $numful
EndIf
If $num2 < 10 Then
$numful = "0" & $numful
EndIf

$howsave2 = MsgBox (4, "Save with issue text as name?", 'Are you sure you want to name the image as follows?' & @CRLF & @CRLF & '"' & $numful & $clippedtext & '.bmp"' & @CRLF & @CRLF & 'If you say NO, it will be saved as "' & $numful & 'issue.bmp"', 0)

If $howsave2 = 6 Then
Sleep ("200")
_ScreenCapture_CaptureWnd($numful & $clippedtext & ".bmp", $ffhandle, 0, 0, -1, -1, "True")
$fileopen = FileOpen ("issues.txt", 129)
FileWrite ($fileopen, @CRLF & @CRLF & @CRLF & $clippedtext & @TAB & $numful & $clippedtext * ".bmp")
FileClose ($fileopen)
ElseIf $howsave2 = 7 Then
Sleep ("200")
_ScreenCapture_CaptureWnd($numful & "issue" & ".bmp", $ffhandle, 0, 0, -1, -1, "True")
$fileopen = FileOpen ("issues.txt", 129)
FileWrite ($fileopen, @CRLF & @CRLF & @CRLF & $clippedtext & @TAB & $numful & "issue.bmp")
FileClose ($fileopen)
EndIf

EndIf

$i = 0

EndFunc


