
#Include <ScreenCapture.au3>

#cs

Script to take screenshots of issues, upload to Picasa, and add URL of picture to list of issues in a spreadsheet.

1. User selects issue and moves mouse cursor so that mouse pointer is arrow.
2. Script copies text and saves it under number, and takes picture and saves picture under number.

Okay, there is good news and there is bad news.  The good news is that you can upload a hundred photos all at once using the Picasa offline client.  The bad news is that you can't predict the URLs.  The good news is that the photos are typically uploaded and displayed in the same order as on your hard drive, sorted by name.  The more good news is that the photos' actual names are not changed (only the URLs are not predictable).  The bad news is that there is no way to get the URL except for executing a number of manual operations in Firefox (lots of right-clicking).

So, you need two applications:  the first is to capture the issues and the screenshots, and the second is to capture the URLs and merge them with the issues.

Best practice in Picasa is to put the pictures in a separate folder and upload them from there.  Picasa will create an "album" with the same name as the folder.  In Picasa, then, go to the album and select to view one photo at a time.  Fold teh "Link to this Photo" options open.  The script will ask for the mouse position of the right button and the "link" text field.  It then clicks "next" and clicks on the "link" text field image each time, copying the image location.

Issues:
* You can't have line breaks in an issue
* more?

#ce

MsgBox (0, "Get position of right-arrow", "Hover with your mouse cursor over the 'right-arrow' button in Picaca, and press Enter or wait 10 seconds", 10)

$arrow = MouseGetPos ()

MsgBox (0, "Get position of zoom button", "Now hover with your mouse cursor over the 'zoom' button in Picaca, and press Enter or wait 10 seconds", 10)

$zoom = MouseGetPos ()

MsgBox (0, "Get position of image", "Finally, hover with your mouse cursor over the centre of the image in Picaca, and press Enter or wait 10 seconds", 10)

$image = MouseGetPos ()

$num = InputBox ("How many images?", "How many images are there?  It says 'Photo 1 of xyz' near the top left.", 10)

For $j = 1 to $num

; This script assumes that the images are always larger than the browser, hence it will always have to be zoomed

MouseClick ("left", $zoom[0], $zoom[1], 1, 1)
Sleep ("100")

$ready = MsgBox (3, "Ready to capture?", "Ready to capture?", 0)

If $ready = 6 Then
$i = 1
ElseIf $ready = 7 Then
MouseClick ("left", $zoom[0], $zoom[1], 1, 1)
Sleep ("100")
$i = 1
ElseIf $ready = 2 Then
$i = 0
EndIf

If $i = 1 Then

MouseClick ("right", $image[0], $image[1], 1, 1)
Sleep ("100")
Send ("o")
Sleep ("100")
$imageurl = ClipGet ()
Sleep ("100")

$fileopen = FileOpen ("urls.txt", 129)
FileWrite ($fileopen, @CRLF & $imageurl)
FileClose ($fileopen)

Sleep ("100")
MouseClick ("left", $arrow[0], $zoom[1], 1, 1)
Sleep ("1000")

EndIf

$i = 0
Sleep ("1000")

Next
